Cyberduck Mountain Duck CLI

#4357 closed defect (worksforme)

DNS Error:Connection Failed - username with '@'

Reported by: jean-philippe.roux@… Owned by: dkocher
Priority: normal Milestone: 3.4.2
Component: webdav Version: 3.4.1
Severity: normal Keywords: DNS error
Cc: Architecture:
Platform:

Description

It is not possible to login when the user name includes '@' (i.e. login of toto@… on server.com generates a DNS error for laas.fr@…).

Change History (3)

comment:1 Changed on Apr 1, 2010 at 9:51:20 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Please get the latest nightly build where this issue is resolved.

comment:2 follow-up: Changed on Jun 8, 2010 at 6:39:03 PM by stefan.hegenbart@…

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Using the nightly build Cyberduck-6053.tar this error still occurs and it's reproducible:

  1. Create a new connection for a server which requires a username in e-mail format (e.g. test@…) AND any password.
  2. Try to open the connection after you have successfully entered all connection details

Result: Connection fails

Issue: Cyberduck does NOT prompt for a password if the username contains an "@" which leads to the connection error described earlier in several tickets!

This issue will not occur, if the account on serverside does not require a password to connect.

Reallife occurence: E.g. Photobox upload service (requiring to login for FTP upload with your registered e-mail address)

comment:3 in reply to: ↑ 2 Changed on Aug 24, 2010 at 6:33:49 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to stefan.hegenbart@…:

I can not replicate the error following the instructions using r6629.

Note: See TracTickets for help on using tickets.